﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Public SQL1 As SQL

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private imgNeuerMandant As ImageView
	Private imgPlus As ImageView
	Private imgPfeil_Zurueck As ImageView
	Private lblUeberschrift As Label
	Private ListView1 As ListView
	Private EditText1 As EditText
	
End Sub

Sub Activity_Create(FirstTime As Boolean)

	Activity.LoadLayout("NeuerMandant")
	imgNeuerMandant.Bitmap = LoadBitmap(File.DirAssets  , "NeuerMandant_32.png")
	imgPlus.Bitmap = LoadBitmap(File.DirAssets  , "edit-add-48.png")
	imgPfeil_Zurueck.Bitmap = LoadBitmap(File.DirAssets  , "Pfeil_Zurueck.png")

	
	ListView1.Initialize("ListView1")
	Dim GD As GradientDrawable
	GD.Initialize("TR_BL", Array As Int(Colors.White , Colors.LightGray))
	Activity.Background = GD
	ListView1.ScrollingBackgroundColor = Colors.Transparent
	'Dim Bitmap1 As Bitmap
	ListView1.SingleLineLayout.ItemHeight = 50dip
	ListView1.SingleLineLayout.Label.TextSize = 20
	ListView1.SingleLineLayout.Label.TextColor = Colors.Black 
	ListView1.SingleLineLayout.Label.Gravity = Gravity.FILL
	ListView1.FastScrollEnabled = True

	Activity.AddView(ListView1, 0, 260, 100%x, 30%y)

	If FirstTime Then
    	If File.Exists(File.DirInternal, "zerfa.db") = False Then
       		File.Copy(File.DirAssets, "zerfa.db", File.DirInternal, "zerfa.db")
    	End If
    End If
	
	SQL1.Initialize(File.DirInternal, "zerfa.db", True)
	
	VorhandeneMandaten_Laden

End Sub
'


Sub VorhandeneMandaten_Laden
			
	Dim rs As ResultSet
	Dim s As Int = 0

	Try
	
		rs = SQL1.ExecQuery("SELECT * FROM tabelle")
	
		Do While rs.NextRow
		
			s = s +1
	
		Loop
	
	Catch

		ToastMessageShow(LastException, False)

		Log(LastException)

	End Try
	
	rs.Close
	
End Sub

Sub ListView1_ItemClick (Position As Int, Value As Object)
	
	EditText1.Text  = Value

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub imgPfeil_Zurueck_Click
	
	Try
		
		StartActivity("Main")
	
		
	Catch
		
		Log(LastException)
	
	End Try
	
End Sub

Sub imgPlus_Click
	
	ListView1.AddSingleLine(EditText1.Text)
	
End Sub